%global apiver  1

Name:           libadwaita
Version:        1.1.2
Release:        1
Summary:        Building blocks for modern GNOME applications
License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/libadwaita
Source0:        https://download.gnome.org/sources/%{name}/1.1/%{name}-%{version}.tar.xz

BuildRequires:  gcc gi-docgen intltool vala sassc
BuildRequires:  libappstream-glib desktop-file-utils
BuildRequires:  meson >= 0.59.0
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4) >= 4.5

%description
Building blocks for modern GNOME applications.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       vala

%description    devel
Development files for %{name}.

%package_help

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson \
    -Dgtk_doc=true \
    %{nil}
%meson_build

%install
%meson_install
%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%license COPYING
%{_bindir}/adwaita-%{apiver}-demo
%{_libdir}/*-%{apiver}.so.0*
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_metainfodir}/*.metainfo.xml

%files devel
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/*-%{apiver}.gir
%{_datadir}/vala/vapi/%{name}-%{apiver}.*
%{_includedir}/%{name}-%{apiver}/
%{_libdir}/*-%{apiver}.so
%{_libdir}/pkgconfig/*-%{apiver}.pc

%files help
%doc HACKING.md 
%doc README.md AUTHORS NEWS
%{_docdir}/%{name}-%{apiver}/

%changelog
* Wed Jun 8 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 1.1.2-1
- Upgrade to 1.1.2

* Mon Jun 6 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 1.1.1-1
- Upgrade to 1.1.1

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 1.1.0-1
- Initial packaging
